#ifndef __PPSSUMM__STRING_ALGO__
#define __PPSSUMM__STRING_ALGO__
#include "ppssumm_typedefs.h"
#include <string>
#include <sstream>
#include <functional>
#include "Dal.h"
#include "Tracer.h"
#include "errstr.h"


std::string stripdir( std::string s )
{
	std::string::size_type cut = s.rfind('/');

	return ( cut == std::string::npos) 
		? s
		: s.substr( cut+1 , std::string::npos)
	;

}

std::string truncTime( std::string t ) 
{
	/* Given a string in dateTtime.nnn format strip off the .nnn */
	return t.substr( 0 , t.rfind(".") );
}

#endif
